
Application: gvSIG desktop - gvSIG bugs #3032
Can't open an attribute table after adding a field
11/26/2014 11:48 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Document table
Target version: 2.1.0-2262
Severity: Blocker Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2260 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps to reproduce the issue:
    -  create a new polygon layer with only an integer ID field;
    -  start editing;
    -  add a new feature;
    -  open the attribute table;
    -  click on Column manager;
    -  add a new double field (8,3) called AREA.
Result:
    -  the table is not refreshed;
    -  if I close the table and then reopen it, it's not opened.

Associated revisions
Revision 41904 - 12/28/2014 07:40 PM - Joaquín  del Cerro Murciano

refs #3032, se estaba perdiendo el featuretype cuando se actualizaba el modelo de la tabla, y no se refrescaban los cambios en la estructura de esta.

History
#1 - 11/29/2014 12:50 PM - Antonio Falciano

The same issue happens even when I delete a field in the attribute table.

#2 - 12/01/2014 03:00 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2268-rc4

#3 - 12/19/2014 10:19 AM - Álvaro Anguix
- gvSIG build changed from 2257 to 2260
- Severity changed from Major to Blocker
- Priority changed from Normal to Immediate
- File gvSIG.log added

Me sucede algo similar sin necesidad de añadir un nuevo elemento.
Pongo en edición la capa, abro su tabla y añado un campo. 
No me aparece el campo añadido. 
Cierro la tabla. Intento volver a abrirla y salta error.

Adjunto log.

#4 - 12/19/2014 11:11 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#5 - 12/28/2014 07:41 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 12/29/2014 12:52 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2268-rc4 to 2.1.0-2262

#7 - 12/29/2014 01:21 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files
gvSIG.log 361 KB 11/26/2014 Antonio Falciano
gvSIG.log 340 KB 12/19/2014 Álvaro Anguix
